From 264dd6cec799d696e5ad7f3932b4749fb9c4a643 Mon Sep 17 00:00:00 2001
From: Alexandra Dunn <dunn.alex@gmail.com>
Date: Wed, 9 Mar 2022 16:30:22 -0800
Subject: [PATCH] 1password2pass: make 1pif parsing more robust

it's possible for 'webforms.WebForm' entries to have no secureContents, so check
that before looking at the nested fields key.
---
 contrib/importers/1password2pass.rb | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/contrib/importers/1password2pass.rb b/contrib/importers/1password2pass.rb
index e0ca39b..5190cee 100755
--- a/contrib/importers/1password2pass.rb
+++ b/contrib/importers/1password2pass.rb
@@ -104,6 +104,8 @@ elsif File.extname(filename) =~ /.1pif/i
   # Import 1PIF
   JSON.parse("[#{pif}]", symbolize_names: true).each do |entry|
     next unless entry[:typeName] == "webforms.WebForm"
+
+    next if entry[:secureContents].nil?
     next if entry[:secureContents][:fields].nil?
 
     pass = {}
-- 
2.35.1

